.button {
  padding: 1rem;
  box-sizing: border-box;

  @include font(1.1875rem, $primary-color, 500);

  background-color: $accent-color;
  border-radius: 0.3125rem;
  border: 1px solid $accent-color;

  transition: $transition;

  &:hover:not([disabled]) {
    background-color: transparent;
    color: $accent-color;
    transition: $transition;
  }

  &[disabled] {
    cursor: default;
    background-color: transparentize($color: $accent-color, $amount: 0.4);
    color: transparentize($color: $secondary-color, $amount: 0.4);
  }
}
